Storage

Generated on 18 Mar 2026

Base URL https://api.paperspace.com/v1

GET List storage providers

/storage-providers
Authorizations: BearerAuth
Http: Bearer

An API key or access token

List storage providers

Query Parameters

after string optional

Fetch the next page of results after this cursor.

limit integer 1 – 120 optional

The number of items to fetch after this page.

orderBy string, one of: dtCreated optional

Order results by one of these fields.

Default: dtCreated
order string, one of: asc, desc optional

The order to sort the results by.

Default: desc
curl -X GET \
  -H "Authorization: Bearer $API_TOKEN" \
  "https://api.paperspace.com/v1/storage-providers"

Responses

200

Successful response

hasMore boolean required

Whether there are more pages of results available.

items array of object required

The items on this page.

Show child properties
id string required

The ID of the storage provider

isManaged boolean required

Whether the storage provider is managed by Paperspace

isTeamDefault boolean required Nullable

Whether the storage provider is the team's default provider

name string required

The name of the storage provider

s3Config object required

The storage provider configuration

Show child properties
accessKey string required
bucket string required
endpoint string (uri) optional Nullable
region string, one of: ny2, ca1, ams1 optional Nullable
retainData boolean optional Nullable
secretAccessKey string required
signatureVersion string optional Nullable
nextPage string optional

The cursor required to fetch the next page of results. i.e. ?after=nextPage. This is null when there is no next page.

default

Error response

code string required
details object optional
message string required
{
  "hasMore": true,
  "items": [
    {
      "id": "string",
      "isManaged": true,
      "isTeamDefault": true,
      "name": "string"
    }
  ],
  "nextPage": "string"
}
{
  "code": "string",
  "message": "string"
}

POST Create a storage provider

/storage-providers
Authorizations: BearerAuth
Http: Bearer

An API key or access token

Create a storage provider

Request Body: application/json

isTeamDefault boolean optional

Is team default

name string required

The name of the storage provider

s3Config object required

The storage provider configuration

Show child properties
accessKey string required
bucket string required
endpoint string (uri) optional Nullable
region string, one of: ny2, ca1, ams1 optional Nullable
retainData boolean optional Nullable
secretAccessKey string required
signatureVersion string optional Nullable
storageProviderType string, one of: s3 required

The type of storage provider

Content type application/json
{
  "isTeamDefault": true,
  "name": "string",
  "s3Config": {
    "accessKey": "string",
    "bucket": "string",
    "endpoint": "string",
    "region": "ny2",
    "retainData": false,
    "secretAccessKey": "string",
    "signatureVersion": "string"
  },
  "storageProviderType": "s3"
}
curl -X POST \
  -H "Authorization: Bearer $API_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
  "isTeamDefault": true,
  "name": "string",
  "s3Config": {
    "accessKey": "string",
    "bucket": "string",
    "endpoint": "string",
    "region": "ny2",
    "retainData": false,
    "secretAccessKey": "string",
    "signatureVersion": "string"
  },
  "storageProviderType": "s3"
}' \
  "https://api.paperspace.com/v1/storage-providers"

Responses

200

Successful response

id string required

The ID of the storage provider

isManaged boolean required

Whether the storage provider is managed by Paperspace

isTeamDefault boolean required Nullable

Whether the storage provider is the team's default provider

name string required

The name of the storage provider

s3Config object required

The storage provider configuration

Show child properties
accessKey string required
bucket string required
endpoint string (uri) optional Nullable
region string, one of: ny2, ca1, ams1 optional Nullable
retainData boolean optional Nullable
secretAccessKey string required
signatureVersion string optional Nullable
default

Error response

code string required
details object optional
message string required
{
  "id": "string",
  "isManaged": true,
  "isTeamDefault": true,
  "name": "string",
  "s3Config": {
    "accessKey": "string",
    "bucket": "string",
    "endpoint": "string",
    "region": "ny2",
    "retainData": false,
    "secretAccessKey": "string",
    "signatureVersion": "string"
  }
}
{
  "code": "string",
  "message": "string"
}

GET Get storage utilization

/storage-providers/utilization
Authorizations: BearerAuth
Http: Bearer

An API key or access token

Get a breakdown of how storage is being used by your team

curl -X GET \
  -H "Authorization: Bearer $API_TOKEN" \
  "https://api.paperspace.com/v1/storage-providers/utilization"

Responses

200

Successful response

datasetUsage string required

Storage used by datasets in bytes

modelUsage string required

Storage used by models in bytes

notebookWorkspaceUsage string required

Storage used by notebooks files in bytes

remainingFreeStorage string required

The amount of free storage left before you reach your plan's limit in bytes

sharedStorageUsage string required

Persistent storage used by the notebook shared storage directory in bytes

totalFreeStorage string required

The amount of free storage that comes with your current plan in bytes

totalUsage string required

Total storage used by your team in bytes

default

Error response

code string required
details object optional
message string required
{
  "datasetUsage": "string",
  "modelUsage": "string",
  "notebookWorkspaceUsage": "string",
  "remainingFreeStorage": "string",
  "sharedStorageUsage": "string",
  "totalFreeStorage": "string",
  "totalUsage": "string"
}
{
  "code": "string",
  "message": "string"
}

GET Get a storage provider

/storage-providers/{id}
Authorizations: BearerAuth
Http: Bearer

An API key or access token

Get a storage provider

Path Parameters

id string required

The ID of the storage provider

curl -X GET \
  -H "Authorization: Bearer $API_TOKEN" \
  "https://api.paperspace.com/v1/storage-providers/{id}"

Responses

200

Successful response

id string required

The ID of the storage provider

isManaged boolean required

Whether the storage provider is managed by Paperspace

isTeamDefault boolean required Nullable

Whether the storage provider is the team's default provider

name string required

The name of the storage provider

s3Config object required

The storage provider configuration

Show child properties
accessKey string required
bucket string required
endpoint string (uri) optional Nullable
region string, one of: ny2, ca1, ams1 optional Nullable
retainData boolean optional Nullable
secretAccessKey string required
signatureVersion string optional Nullable
default

Error response

code string required
details object optional
message string required
{
  "id": "string",
  "isManaged": true,
  "isTeamDefault": true,
  "name": "string",
  "s3Config": {
    "accessKey": "string",
    "bucket": "string",
    "endpoint": "string",
    "region": "ny2",
    "retainData": false,
    "secretAccessKey": "string",
    "signatureVersion": "string"
  }
}
{
  "code": "string",
  "message": "string"
}

PUT Update a storage provider

/storage-providers/{id}
Authorizations: BearerAuth
Http: Bearer

An API key or access token

Update a storage provider

Path Parameters

id string required

The ID of the storage provider

Request Body: application/json

isTeamDefault boolean required

Is team default

name string required

The name of the storage provider

s3Config object required

The storage provider configuration

Show child properties
accessKey string required
bucket string required
endpoint string (uri) optional Nullable
region string, one of: ny2, ca1, ams1 optional Nullable
retainData boolean optional Nullable
secretAccessKey string required
signatureVersion string optional Nullable
Content type application/json
{
  "isTeamDefault": true,
  "name": "string",
  "s3Config": {
    "accessKey": "string",
    "bucket": "string",
    "endpoint": "string",
    "region": "ny2",
    "retainData": false,
    "secretAccessKey": "string",
    "signatureVersion": "string"
  }
}
curl -X PUT \
  -H "Authorization: Bearer $API_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
  "isTeamDefault": true,
  "name": "string",
  "s3Config": {
    "accessKey": "string",
    "bucket": "string",
    "endpoint": "string",
    "region": "ny2",
    "retainData": false,
    "secretAccessKey": "string",
    "signatureVersion": "string"
  }
}' \
  "https://api.paperspace.com/v1/storage-providers/{id}"

Responses

200

Successful response

id string required

The ID of the storage provider

isManaged boolean required

Whether the storage provider is managed by Paperspace

isTeamDefault boolean required Nullable

Whether the storage provider is the team's default provider

name string required

The name of the storage provider

s3Config object required

The storage provider configuration

Show child properties
accessKey string required
bucket string required
endpoint string (uri) optional Nullable
region string, one of: ny2, ca1, ams1 optional Nullable
retainData boolean optional Nullable
secretAccessKey string required
signatureVersion string optional Nullable
default

Error response

code string required
details object optional
message string required
{
  "id": "string",
  "isManaged": true,
  "isTeamDefault": true,
  "name": "string",
  "s3Config": {
    "accessKey": "string",
    "bucket": "string",
    "endpoint": "string",
    "region": "ny2",
    "retainData": false,
    "secretAccessKey": "string",
    "signatureVersion": "string"
  }
}
{
  "code": "string",
  "message": "string"
}

DELETE Delete a storage provider

/storage-providers/{id}
Authorizations: BearerAuth
Http: Bearer

An API key or access token

Delete a storage provider

Path Parameters

id string required

The ID of the storage provider

curl -X DELETE \
  -H "Authorization: Bearer $API_TOKEN" \
  "https://api.paperspace.com/v1/storage-providers/{id}"

Responses

200

Successful response

id string required

The ID of the storage provider

default

Error response

code string required
details object optional
message string required
{
  "id": "string"
}
{
  "code": "string",
  "message": "string"
}

We can't find any results for your search.

Try using different keywords or simplifying your search terms.